| Version: 3.2.5

Classes | Macros | Variables
filepicker.h File Reference

## Classes

class | wxFilePickerCtrl
| This control allows the user to select a file. More...
class | wxDirPickerCtrl
| This control allows the user to select a directory. More...
class | wxFileDirPickerEvent
| This event class is used for the events generated by wxFilePickerCtrl and by wxDirPickerCtrl. More...

## Macros

#define | wxFLP_OPEN 0x0400
#define | wxFLP_SAVE 0x0800
#define | wxFLP_OVERWRITE_PROMPT 0x1000
#define | wxFLP_FILE_MUST_EXIST 0x2000
#define | wxFLP_CHANGE_DIR 0x4000
#define | wxFLP_SMALL wxPB_SMALL
#define | wxFLP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)
#define | wxFLP_DEFAULT_STYLE (wxFLP_OPEN|wxFLP_FILE_MUST_EXIST)
#define | wxDIRP_DIR_MUST_EXIST 0x0008
#define | wxDIRP_CHANGE_DIR 0x0010
#define | wxDIRP_SMALL wxPB_SMALL
#define | wxDIRP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)
#define | wxDIRP_DEFAULT_STYLE (wxDIRP_DIR_MUST_EXIST)

## Variables

wxEventType | wxEVT_FILEPICKER_CHANGED
wxEventType | wxEVT_DIRPICKER_CHANGED

## Macro Definition Documentation

## ◆ wxDIRP_CHANGE_DIR

#define wxDIRP_CHANGE_DIR 0x0010

## ◆ wxDIRP_DEFAULT_STYLE

#define wxDIRP_DEFAULT_STYLE (wxDIRP_DIR_MUST_EXIST)

## ◆ wxDIRP_DIR_MUST_EXIST

#define wxDIRP_DIR_MUST_EXIST 0x0008

## ◆ wxDIRP_SMALL

#define wxDIRP_SMALL wxPB_SMALL

## ◆ wxDIRP_USE_TEXTCTRL

#define wxDIRP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)

## ◆ wxFLP_CHANGE_DIR

#define wxFLP_CHANGE_DIR 0x4000

## ◆ wxFLP_DEFAULT_STYLE

#define wxFLP_DEFAULT_STYLE (wxFLP_OPEN|wxFLP_FILE_MUST_EXIST)

## ◆ wxFLP_FILE_MUST_EXIST

#define wxFLP_FILE_MUST_EXIST 0x2000

## ◆ wxFLP_OPEN

#define wxFLP_OPEN 0x0400

## ◆ wxFLP_OVERWRITE_PROMPT

#define wxFLP_OVERWRITE_PROMPT 0x1000

## ◆ wxFLP_SAVE

#define wxFLP_SAVE 0x0800

## ◆ wxFLP_SMALL

#define wxFLP_SMALL wxPB_SMALL

## ◆ wxFLP_USE_TEXTCTRL

#define wxFLP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)

## Variable Documentation

## ◆ wxEVT_DIRPICKER_CHANGED

wxEventType wxEVT_DIRPICKER_CHANGED

## ◆ wxEVT_FILEPICKER_CHANGED

wxEventType wxEVT_FILEPICKER_CHANGED